﻿using System.Collections.ObjectModel;
using System.Windows.Controls;
using System.Windows.Input;
using Telerik.Windows.Controls;

namespace HighlightDataGridRow
{
	public partial class MainPage : UserControl
	{
		public ObservableCollection<Item> Items = new ObservableCollection<Item>();

		public MainPage()
		{
			InitializeComponent();

			this.Items.Add(new Item("row 1", 30));
			this.Items.Add(new Item("row 2", 50));
			this.Items.Add(new Item("row 3", 80));

			gridView.ItemsSource = Items;
			gaugesPanel.ItemsSource = Items;
		}

		private void RadGauge_MouseEnter(object sender, MouseEventArgs e)
		{
			gridView.SelectedItem = (sender as RadGauge).Tag;
		}
	}

	public class Item
	{
		public Item(string name, double value)
		{
			this.Name = name;
			this.Value = value;
		}

		public string Name { get; set; }
		public double Value { get; set; }
	}
}
